package GUI::Help;

use strict;
use vars qw($VERSION $HTML_BROWSER @EXPORT @ISA );
use Tk;
use Tk::Pod;

@EXPORT = qw( showHelp );

require Exporter;

@ISA = qw(Exporter);

$VERSION = '0.01';

# no support for jumping to sections yet...
sub showHelp {
  my $which = shift;
  my ($filename, $section) = split('#', $which);

  $::main_screen->interface('top')->
    Pod(-file => $::DOC . '/pod/' . ${filename} . '.pod' );
}

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

GUI::Help - help package for the gRMA system.

=head1 SYNOPSIS

  use GUI::Help;
  showHelp 'file#topic'

=head1 DESCRIPTION

Exports showHelp which you can call with a filename and optional
#topic.  Opens a web browser with the selected documentation.

=head1 AUTHOR

Sam Tregar, sam@tregar.com

=cut
